notifier(7)

NOM
notifier - Interface de notification pour CUPS

SYNOPSIS
notifier destinataire [ données_utilisateur ]

DESCRIPTION
L’interface notifier de CUPS fournit une méthode standard pour ajouter une prise en charge de nouvelles méthodes de notification d’évènement à CUPS. Chaque notification signifie un ou plusieurs évènements IPP à partir de l’entrée standard au destinataire indiqué.

Les appels notifier doivent lire les messages IPP à partir de l’entrée standard avec les fonctions ippNew() et ippReadFile() et quitter lors d’une erreur. Les appels sont incités à se terminer après une période convenable d’inactivité, cependant, ils peuvent finir après la lecture du premier message ou continuer jusqu’à l’apparition d’une erreur. notifier hérite de l’environnement et peut utiliser le mécanisme de journalisation documenté dans filter(7).

VOIR AUSSI
cupsd(8), filter(7), aide en ligne de CUPS <URL:http://localhost:631/help>.

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.